<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddLevelActivationDateToOutcomes extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('outcomes', function(Blueprint $table)
		{
			$table->smallInteger('level');
			$table->date('activation_date');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('outcomes', function(Blueprint $table)
		{
			$table->drop('level')->default(1);
			$table->drop('activation_date');
		});
	}

}
